/*
 * $Id: Communication.cs 288 2007-06-06 09:06:51Z lloydd $
 */

using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using Mono.Unix;

namespace WiMo.RAPI
{
   public class CommunicationException : Exception
   {
      private CommunicationBase comm;
      
      public CommunicationException (CommunicationBase comm, string text) :
         base (text)
      {
         this.comm = comm;
         
         PrintDebug (comm);
      }
   
      public CommunicationException (CommunicationBase comm, string text, Exception ex) :
         base (text, ex)
      {
         PrintDebug (comm);
      }
      
      public CommunicationBase Communication {
         get {
            return comm;
         }
      }
      
      protected void PrintDebug (CommunicationBase comm)
      {
         if (comm == null)
            return;
         
         Console.WriteLine ("\nCommunication exception:");
         Console.WriteLine (comm.StatusMessage);
         
         comm.PrintIndexes ();
         comm.PrintWriteBuffer ();
         comm.PrintReadBuffer ();
      }
   }
}
