/*
 * $Id: DatabaseStruct.cs 289 2007-06-12 09:27:37Z lloydd $
 */

using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;

namespace WiMo.RAPI
{
   public struct SortOrderSpec
   {
      public PropId                 PropId;
      public FindDatabaseAttribute  Flags;
   }
   
   public struct DbaseInfo
   {
      public FindDatabaseAttribute  Flags;
      public string                 DbaseName;
      public uint                   DbaseType;
      public ushort                 NumRecords;
      public ushort                 NumSortOrder;
      public uint                   Size;
      public Filetime               LastModified;
      public SortOrderSpec[]        SortSpecs;
   }
   
   public struct DbaseFindData
   {
      public Oid        Oid;
      public DbaseInfo  DbInfo;
   }
   
   public struct PropVal
   {
      private short s_val;
      private ushort us_val;
      private int i_val;
      private uint ui_val;
      private Filetime f_val;
      private string st_val;
      private byte[] bl_val;
      private bool b_val;
      private double d_val;
      
      public PropId  PropId;
      public ushort  Flags;
      
      public short Int16 {
         get {
            return s_val;
         }
         set {
            s_val = value;
         }
      }
      
      public ushort UInt16 {
         get {
            return us_val;
         }
         set {
            us_val = value;
         }
      }
      
      public int Int32 {
         get {
            return i_val;
         }
         set {
            i_val = value;
         }
      }
      
      public uint UInt32 {
         get {
            return ui_val;
         }
         set {
            ui_val = value;
         }
      }
      
      public Filetime Filetime {
         get {
            return f_val;
         }
         set {
            f_val = value;
         }
      }
      
      public string String {
         get {
            return st_val;
         }
         set {
            st_val = value;
         }
      }
      
      public byte[] Blob {
         get {
            return bl_val;
         }
         set {
            bl_val = value;
         }
      }
      
      public bool Bool {
         get {
            return b_val;
         }
         set {
            b_val = value;
         }
      }
      
      public double Double {
         get {
            return d_val;
         }
         set {
            d_val = value;
         }
      }
   }
}
