/*
 * $Id: FilesystemEnum.cs 289 2007-06-12 09:27:37Z lloydd $
 */

using System;

namespace WiMo.RAPI
{
   public enum ShareMode : uint
   {
      Generic_Write  = 0x40000000,
      Generic_Read   = 0x80000000,
      Share_Read     = 0x00000001
   }

   public enum FileShareMode : uint
   {
      Share_Read  = 0x00000001,
      Share_Write = 0x00000002
   }
   
   public enum CreationDisposition : uint
   {
      Create_New        = 1,
      Create_Always     = 2,
      Open_Existing     = 3,
      Open_Always       = 4,
      Truncate_Existing = 5,
      Open_For_Loader   = 6
   }
   
   public enum FileAttribute : uint
   {
      Readonly       = 0x00000001,
      Hidden         = 0x00000002,
      System         = 0x00000004,
      //               0x00000008,
      Directory      = 0x00000010,
      Archive        = 0x00000020,
      In_ROM         = 0x00000040,
      Normal         = 0x00000080,
      Temporary      = 0x00000100,
      //               0x00000200,
      //               0x00000400,
      Compressed     = 0x00000800,
      ROM_Static_Ref = 0x00001000,
      ROM_Module     = 0x00002000,
      //               0x00004000,
      //               0x00008000,
      Has_Children   = 0x00010000,
      Shortcut       = 0x00020000
      //               0x00040000,
      //               0x00080000,
   }
   
   public enum FindFileAttribute : uint
   {
      Attributes                 = 0x00000001,
      Creation_Time              = 0x00000002,
      Last_Access_Time           = 0x00000004,
      Last_Write_Time            = 0x00000008,
      Size_High                  = 0x00000010,
      Size_Low                   = 0x00000020,
      Oid                        = 0x00000040,
      Name                       = 0x00000080,
      Attrib_Children            = 0x00001000,
      Attrib_No_Hidden           = 0x00002000,
      Folders_Only               = 0x00004000,
      No_Hidden_Sys_ROM_Modules  = 0x00008000
   }
   
   public enum SpecialFolder : uint
   {
      MyDocuments       = 0x00000000,
      Programs          = 0x00000002,
      Personal          = 0x00000005,
      Favorites_Gryphon = 0x00000006,
      Startup           = 0x00000007,
      Recent            = 0x00000008,
      Recycled          = 0x0000000a,
      Start_Menu        = 0x0000000b,
      MyMusic           = 0x0000000d,
      Desktop_Directory = 0x00000010,
      Root              = 0x00000011,
      Fonts             = 0x00000014,
      Favorites         = 0x00000016,
      Application_Data  = 0x0000001a,
      Windows_Directory = 0x00000024,
      Program_Files     = 0x00000026
   }
}
