/*
 * $Id: IDatabase.cs 289 2007-06-12 09:27:37Z lloydd $
 */

using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;

namespace WiMo.RAPI
{
   public interface IDatabase
   {
      DbaseFindData[] CeFindAllDatabases (uint dbase_type,
                                          FindDatabaseAttribute flags);
      DbFindHandle CeFindFirstDatabase (uint dbase_type);
      Oid CeFindNextDatabase (DbFindHandle find_handle);
      Oid CeCreateDatabase (string dbase_name,
                            uint dbase_type,
                            SortOrderSpec[] sort_specs);
      bool CeDeleteDatabase (Oid oid);
      DbHandle CeOpenDatabase (Oid oid,
                               string dbase_name,
                               PropId prop_id,
                               FindDatabaseAttribute flags);
      Oid CeReadRecordProps (DbHandle handle,
                             FindDatabaseAttribute flags,
                             out PropVal[] prop_val_array);
      bool CeWriteRecordProps (DbHandle handle,
                               ref Oid oid,
                               PropVal[] props);
      Oid CeSeekDatabase (DbHandle handle,
                          DatabaseSeekType seek_type,
                          uint value,
                          out uint index);
      bool CeDeleteRecord (DbHandle handle,
                           Oid oid);
      bool CeSetDatabaseInfo (Oid oid,
                              DbaseInfo new_info);
   }
}
