/*
 * $Id: IFilesystem.cs 289 2007-06-12 09:27:37Z lloydd $
 */

using System.Runtime.InteropServices;
 
using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;

namespace WiMo.RAPI
{
   public interface IFilesystem
   {
      bool CeCreateDirectory (string path);
      bool CeRemoveDirectory (string path);
      string CeGetSpecialFolderPath (SpecialFolder folder);
      FileHandle CeCreateFile (string filename,
                         ShareMode desired_access,
                         FileShareMode share_mode,
                         CreationDisposition creation_disposition,
                         FileAttribute flags_and_attributes,
                         FileHandle template_file);
      bool CeCloseHandle (IValueHandle handle);
      bool CeDeleteFile (string filename);
      bool CeCopyFile (string existing_filename,
                       string new_filename,
                       bool fail_if_exists);
      bool CeMoveFile (string existing_filename,
                       string new_filename);
      bool CeGetFileSize (FileHandle handle,
                          out uint file_size_high,
                          out uint file_size_low);
      uint CeWriteFile (FileHandle handle, byte[] buffer);
      uint CeReadFile (FileHandle handle, out byte[] buffer, uint bytes_to_read);
      FindData[] CeFindAllFiles (string path, FindFileAttribute flags);
      FileFindHandle CeFindFirstFile (string filename,
                                             out FindData find_data);
      FileHandle CeFindNextFile (FileFindHandle file_find_handle,
                                        out FindData find_data);
      bool CeFindClose (FileFindHandle file_find_handle);
      bool CeGetFileAttributes (string filename, out FileAttribute file_attr);
      bool CeSetFileAttributes (string filename, FileAttribute file_attr);
      bool CeSHCreateShortcut (string shortcut, string target);
   }
}
