/*
 * $Id: ISystem.cs 289 2007-06-12 09:27:37Z lloydd $
 */

using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;

namespace WiMo.RAPI
{
   public interface ISystem
   {
      bool CeGetStoreInformation (out StoreInformation si);
      SystemInfo CeGetSystemInfo ();
      bool CeGetSystemPowerStatusEx (out SystemPowerStatusEx ps, bool refresh);
      bool CeGetVersionEx (out VersionInfo vi);
      bool CeSetSystemMemoryDivision (uint storage_pages);
      bool CeGetSystemMemoryDivision (out uint storage_pages,
                                      out uint ram_pages,
                                      out uint page_size);
      bool CeSyncTimeToPc ();
      bool CeRegRestoreFile (string filename);
      bool CeRegCopyFile (string filename);
      bool CeKillAllApps ();
      bool CeCreateProcess (string application_name,
                            string command_line,
                            out ProcessInformation process_info);
      bool CeCheckPassword (string password);
   }
}
