/*
 * $Id: SystemStruct.cs 289 2007-06-12 09:27:37Z lloydd $
 */

using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;

namespace WiMo.RAPI
{
   public struct StoreInformation
   {
      public uint StoreSize;
      public uint FreeSize;
   }

	public struct SystemInfo
	{
      public ProcessorArch ProcessorArch;
      public ushort        Reserved;
      public uint          PageSize;
      public uint          MinimumApplicationAddress;
      public uint          MaximumApplicationAddress;
      public uint          ActiveProcessorMask;
      public uint          NumberOfProcessors;
      public ProcessorType ProcessorType;
      public uint          AllocationGranularity;
      public ushort        ProcessorLevel;
      public ushort        ProcessorRevision;
	}

	public struct SystemPowerStatusEx
	{
      public ACStatus      AcLineStatus;
      public BatteryFlag   BatteryFlag;
      public byte          BatteryLifePercent;
      public byte          Reserved1;
      public uint          BatteryLifeTime;
      public uint          BatteryFullLifeTime;
      public byte          Reserved2;
      public BatteryFlag   BackupBatteryFlag;
      public byte          BackupBatteryLifePercent;
      public byte          Reserved3;
      public uint          BackupBatteryLifeTime;
      public uint          BackupBatteryFullLifeTime;
	}

	public struct VersionInfo
	{
      public uint 			MajorVersion;
      public uint 			MinorVersion;
      public uint 			BuildNumber;
      public PlatformType  Platform;
	};

	public struct ProcessInformation
	{
		public uint	Process;
		public uint Thread;
		public uint ProcessId;
		public uint ThreadId;
	}
}
