/*
 * $Id: TestSystem.cs 120 2007-04-04 14:15:38Z lloydd $
 */
 
#define test1
 
using System;
using System.Threading;
using RAPI;

public class Test
{
   int index;
   Context ctx;
   Connection conn;
   
   public Test (Connection conn, int index)
   {
      this.conn = conn;
      this.index = index;
   }
   
   public void Handler ()
   {
      VersionInfo vi;
      
      ctx = conn.CreateContext ();

      while (!TestSystemClass.ending) {
         if (ctx.System.CeGetVersionEx (out vi))
            Console.WriteLine ("{0}-{1}.{2}.{3}", index, vi.MajorVersion, vi.MinorVersion, vi.BuildNumber);
         else
            Console.WriteLine ("{0}-CeGetSystemInfo failed", index);
      }
      
      conn.DestroyContext (ctx);
   }
}

public class TestSystemClass
{
   public static bool ending = false;
   
   public static void Main (string[] args)
   {
      int threads = 3;
      
      Connection connection = null;
      Context[] ctx = new Context [threads];
      
      try {
         Console.WriteLine ("Connecting...");
         
         connection = new Connection ("10.100.1.2");
      }
      catch (Exception e) {
         Console.Error.WriteLine ("Connect failed: {0}", e.Message);
         return;
      }
      
      Console.WriteLine ("Connected");

      for (int i = 0; i < threads; i++)
         new Thread (new ThreadStart ((new Test (connection, i)).Handler)).Start ();
      
      Thread.Sleep (60*1000);
      ending = true;
      Thread.Sleep (2*1000);
         
      connection.Dispose ();
   }
}
